Skip to main content
GET
/
cycles
Listar assinaturas
curl --request GET \
  --url https://api.pagozz.com/v1/cycles \
  --header 'Pagozz-Token: <api-key>'
{
  "data": {
    "cycles": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "subscriber_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "status": "trialing",
        "current_period_start": "2023-11-07T05:31:56Z",
        "current_period_end": "2023-11-07T05:31:56Z",
        "next_billing_at": "2023-11-07T05:31:56Z",
        "anchor_day": 123,
        "payment_method": "<string>",
        "billing_count": 123,
        "paid_count": 123,
        "credit_balance": 123,
        "cancel_at_period_end": true,
        "canceled_at": "2023-11-07T05:31:56Z",
        "cancellation_reason": "<string>",
        "trial_start": "2023-11-07T05:31:56Z",
        "trial_end": "2023-11-07T05:31:56Z",
        "environment": "test",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    ],
    "total": 123,
    "page": 123,
    "page_size": 123
  }
}

Authorizations

Pagozz-Token
string
header
required

Chave de API no formato pgz_test_* (test mode) ou pgz_live_* (live mode). O ambiente é determinado automaticamente pelo prefixo da chave.

Query Parameters

status
enum<string>

Filtrar por status da assinatura.

Available options:
trialing,
active,
past_due,
suspended,
canceled,
expired
page
integer
default:1

Número da página (começa em 1).

page_size
integer
default:20

Quantidade de itens por página (máximo 100).

Required range: x <= 100

Response

Lista de assinaturas retornada com sucesso.

data
object